Share via


Reservation - Split

Split the Reservation.
Split a Reservation into two Reservations with specified quantity distribution.

POST https://management.azure.com/providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/split?api-version=2022-11-01

URI Parameters

Name In Required Type Description
reservationOrderId
path True

string

Order Id of the reservation

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties.quantities

integer[] (int32)

List of the quantities in the new reservations to create.

properties.reservationId

string

Resource id of the reservation to be split. Format of the resource id should be /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}

Responses

Name Type Description
200 OK

ReservationResponse[]

Azure operation completed successfully.

202 Accepted

Resource operation accepted.

Headers

  • Location: string
  • Retry-After: integer
Other Status Codes

Error

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Split

Sample request

POST https://management.azure.com/providers/Microsoft.Capacity/reservationOrders/276e7ae4-84d0-4da6-ab4b-d6b94f3557da/split?api-version=2022-11-01

{
  "properties": {
    "quantities": [
      1,
      2
    ],
    "reservationId": "/providers/Microsoft.Capacity/reservationOrders/276e7ae4-84d0-4da6-ab4b-d6b94f3557da/reservations/bcae77cd-3119-4766-919f-b50d36c75c7a"
  }
}

Sample response

[
  {
    "name": "00238563-7312-4c20-a134-8c030bf938a7",
    "type": "Microsoft.Capacity/reservationOrders/reservations",
    "etag": 2,
    "id": "/providers/microsoft.capacity/reservationOrders/276e7ae4-84d0-4da6-ab4b-d6b94f3557da/reservations/00238563-7312-4c20-a134-8c030bf938a7",
    "location": "eastus",
    "properties": {
      "appliedScopeProperties": {
        "displayName": "Azure subscription 1",
        "subscriptionId": "/subscriptions/98df3792-7962-4f18-8be2-d5576f122de3"
      },
      "appliedScopeType": "Single",
      "billingPlan": "Monthly",
      "billingScopeId": "/subscriptions/19376483-64b8-49e4-a931-d5248828720a",
      "displayName": "cabri_test",
      "effectiveDateTime": "2017-09-22T01:00:30.9253826Z",
      "expiryDate": "2018-09-22",
      "expiryDateTime": "2018-09-22T01:00:30.9253826Z",
      "instanceFlexibility": "Off",
      "lastUpdatedDateTime": "2017-09-22T01:00:36.3191627Z",
      "provisioningState": "Succeeded",
      "quantity": 1,
      "renew": false,
      "reservedResourceType": "VirtualMachines",
      "skuDescription": "D1 v2",
      "splitProperties": {
        "splitSource": "/providers/microsoft.capacity/reservationOrders/276e7ae4-84d0-4da6-ab4b-d6b94f3557da/reservations/bcae77cd-3119-4766-919f-b50d36c75c7a"
      }
    },
    "sku": {
      "name": "Standard_DS1_v2"
    }
  },
  {
    "name": "e0e4b4f5-77ea-4984-9ee4-6bf9850ee6de",
    "type": "Microsoft.Capacity/reservationOrders/reservations",
    "etag": 2,
    "id": "/providers/microsoft.capacity/reservationOrders/276e7ae4-84d0-4da6-ab4b-d6b94f3557da/reservations/e0e4b4f5-77ea-4984-9ee4-6bf9850ee6de",
    "location": "eastus",
    "properties": {
      "appliedScopeProperties": {
        "displayName": "Azure subscription 1",
        "subscriptionId": "/subscriptions/98df3792-7962-4f18-8be2-d5576f122de3"
      },
      "appliedScopeType": "Single",
      "billingPlan": "Monthly",
      "billingScopeId": "/subscriptions/19376483-64b8-49e4-a931-d5248828720a",
      "displayName": "cabri_test",
      "effectiveDateTime": "2017-09-22T01:00:30.9253826Z",
      "expiryDate": "2018-09-22",
      "expiryDateTime": "2018-09-22T01:00:30.9253826Z",
      "instanceFlexibility": "Off",
      "lastUpdatedDateTime": "2017-09-22T01:00:36.3191627Z",
      "provisioningState": "Succeeded",
      "quantity": 2,
      "renew": false,
      "reservedResourceType": "VirtualMachines",
      "skuDescription": "D1 v2",
      "splitProperties": {
        "splitSource": "/providers/microsoft.capacity/reservationOrders/276e7ae4-84d0-4da6-ab4b-d6b94f3557da/reservations/bcae77cd-3119-4766-919f-b50d36c75c7a"
      }
    },
    "sku": {
      "name": "Standard_DS1_v2"
    }
  },
  {
    "name": "bcae77cd-3119-4766-919f-b50d36c75c7a",
    "type": "Microsoft.Capacity/reservationOrders/reservations",
    "etag": 10,
    "id": "/providers/microsoft.capacity/reservationOrders/276e7ae4-84d0-4da6-ab4b-d6b94f3557da/reservations/bcae77cd-3119-4766-919f-b50d36c75c7a",
    "location": "eastus",
    "properties": {
      "appliedScopeProperties": {
        "displayName": "Azure subscription 1",
        "subscriptionId": "/subscriptions/98df3792-7962-4f18-8be2-d5576f122de3"
      },
      "appliedScopeType": "Single",
      "billingPlan": "Monthly",
      "billingScopeId": "/subscriptions/19376483-64b8-49e4-a931-d5248828720a",
      "displayName": "cabri_test",
      "effectiveDateTime": "2017-09-22T01:00:30.9253826Z",
      "expiryDate": "2018-09-22",
      "expiryDateTime": "2018-09-22T01:00:30.9253826Z",
      "extendedStatusInfo": {
        "message": "This reservation was split and is no longer active.",
        "statusCode": "Split"
      },
      "instanceFlexibility": "Off",
      "lastUpdatedDateTime": "2017-09-22T01:00:36.3191627Z",
      "provisioningState": "Cancelled",
      "quantity": 3,
      "renew": false,
      "reservedResourceType": "VirtualMachines",
      "skuDescription": "D1 v2",
      "splitProperties": {
        "splitDestinations": [
          "/providers/microsoft.capacity/reservationOrders/276e7ae4-84d0-4da6-ab4b-d6b94f3557da/reservations/00238563-7312-4c20-a134-8c030bf938a7",
          "/providers/microsoft.capacity/reservationOrders/276e7ae4-84d0-4da6-ab4b-d6b94f3557da/reservations/e0e4b4f5-77ea-4984-9ee4-6bf9850ee6de"
        ]
      }
    },
    "sku": {
      "name": "Standard_DS1_v2"
    }
  }
]
Location: https://management.azure.com/providers/Microsoft.Capacity/reservationorders/276e7ae4-84d0-4da6-ab4b-d6b94f3557da/splitoperationresults/bcae77cd-3119-4766-919f-b50d36c75c7a_10?api-version=2022-11-01
Retry-After: 120

Definitions

Name Description
AppliedScopeProperties

Properties specific to applied scope type. Not required if not applicable. Required and need to provide tenantId and managementGroupId if AppliedScopeType is ManagementGroup

AppliedScopeType

Type of the Applied Scope.

createdByType

The type of identity that created the resource.

Error

Error information

ErrorResponseCode

Error code describing the reason that service is not able to process the incoming request

ExtendedErrorInfo

Extended error information including error code and error message

ExtendedStatusInfo
InstanceFlexibility

Turning this on will apply the reservation discount to other VMs in the same VM size group. Only specify for VirtualMachines reserved resource type.

ProvisioningState

Represent the current state of the Reservation.

PurchaseRequest

The request for reservation purchase

PurchaseRequestPropertiesReservedResourceProperties

Properties specific to each reserved resource type. Not required if not applicable.

RenewPropertiesResponse

The renew properties for a reservation.

RenewPropertiesResponseBillingCurrencyTotal

Currency and amount that customer will be charged in customer's local currency for renewal purchase. Tax is not included.

RenewPropertiesResponsePricingCurrencyTotal

Amount that Microsoft uses for record. Used during refund for calculating refund limit. Tax is not included. This is locked price 30 days before expiry.

ReservationBillingPlan

Represent the billing plans.

ReservationMergeProperties

Properties of reservation merge

ReservationResponse

The definition of the reservation.

ReservationSplitProperties

Properties of reservation split

ReservationsProperties

The properties of the reservations

ReservationsPropertiesUtilization

Reservation utilization

ReservationStatusCode
ReservationSwapProperties

Properties of reservation swap

ReservationTerm

Represent the term of reservation.

ReservationUtilizationAggregates

The aggregate values of reservation utilization

ReservedResourceType

The type of the resource that is being reserved. In addition to below types we have also added the following: OpenAIPTU, MDC, Sentinel.

SkuName

The name of sku

SplitRequest

The request for reservation split

systemData

Metadata pertaining to creation and last modification of the resource.

AppliedScopeProperties

Properties specific to applied scope type. Not required if not applicable. Required and need to provide tenantId and managementGroupId if AppliedScopeType is ManagementGroup

Name Type Description
displayName

string

Display name

managementGroupId

string

Fully-qualified identifier of the management group where the benefit must be applied.

resourceGroupId

string

Fully-qualified identifier of the resource group.

subscriptionId

string

Fully-qualified identifier of the subscription.

tenantId

string

Tenant ID where the savings plan should apply benefit.

AppliedScopeType

Type of the Applied Scope.

Value Description
Single

Single

Shared

Shared

ManagementGroup

ManagementGroup

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

Error

Error information

Name Type Description
error

ExtendedErrorInfo

Extended error information including error code and error message

ErrorResponseCode

Error code describing the reason that service is not able to process the incoming request

Value Description
NotSpecified

NotSpecified

InternalServerError

InternalServerError

ServerTimeout

ServerTimeout

AuthorizationFailed

AuthorizationFailed

BadRequest

BadRequest

ClientCertificateThumbprintNotSet

ClientCertificateThumbprintNotSet

InvalidRequestContent

InvalidRequestContent

OperationFailed

OperationFailed

HttpMethodNotSupported

HttpMethodNotSupported

InvalidRequestUri

InvalidRequestUri

MissingTenantId

MissingTenantId

InvalidTenantId

InvalidTenantId

InvalidReservationOrderId

InvalidReservationOrderId

InvalidReservationId

InvalidReservationId

ReservationIdNotInReservationOrder

ReservationIdNotInReservationOrder

ReservationOrderNotFound

ReservationOrderNotFound

InvalidSubscriptionId

InvalidSubscriptionId

InvalidAccessToken

InvalidAccessToken

InvalidLocationId

InvalidLocationId

UnauthenticatedRequestsThrottled

UnauthenticatedRequestsThrottled

InvalidHealthCheckType

InvalidHealthCheckType

Forbidden

Forbidden

BillingScopeIdCannotBeChanged

BillingScopeIdCannotBeChanged

AppliedScopesNotAssociatedWithCommerceAccount

AppliedScopesNotAssociatedWithCommerceAccount

PatchValuesSameAsExisting

PatchValuesSameAsExisting

RoleAssignmentCreationFailed

RoleAssignmentCreationFailed

ReservationOrderCreationFailed

ReservationOrderCreationFailed

ReservationOrderNotEnabled

ReservationOrderNotEnabled

CapacityUpdateScopesFailed

CapacityUpdateScopesFailed

UnsupportedReservationTerm

UnsupportedReservationTerm

ReservationOrderIdAlreadyExists

ReservationOrderIdAlreadyExists

RiskCheckFailed

RiskCheckFailed

CreateQuoteFailed

CreateQuoteFailed

ActivateQuoteFailed

ActivateQuoteFailed

NonsupportedAccountId

NonsupportedAccountId

PaymentInstrumentNotFound

PaymentInstrumentNotFound

MissingAppliedScopesForSingle

MissingAppliedScopesForSingle

NoValidReservationsToReRate

NoValidReservationsToReRate

ReRateOnlyAllowedForEA

ReRateOnlyAllowedForEA

OperationCannotBePerformedInCurrentState

OperationCannotBePerformedInCurrentState

InvalidSingleAppliedScopesCount

InvalidSingleAppliedScopesCount

InvalidFulfillmentRequestParameters

InvalidFulfillmentRequestParameters

NotSupportedCountry

NotSupportedCountry

InvalidRefundQuantity

InvalidRefundQuantity

PurchaseError

PurchaseError

BillingCustomerInputError

BillingCustomerInputError

BillingPaymentInstrumentSoftError

BillingPaymentInstrumentSoftError

BillingPaymentInstrumentHardError

BillingPaymentInstrumentHardError

BillingTransientError

BillingTransientError

BillingError

BillingError

FulfillmentConfigurationError

FulfillmentConfigurationError

FulfillmentOutOfStockError

FulfillmentOutOfStockError

FulfillmentTransientError

FulfillmentTransientError

FulfillmentError

FulfillmentError

CalculatePriceFailed

CalculatePriceFailed

AppliedScopesSameAsExisting

AppliedScopesSameAsExisting

SelfServiceRefundNotSupported

SelfServiceRefundNotSupported

RefundLimitExceeded

RefundLimitExceeded

ExtendedErrorInfo

Extended error information including error code and error message

Name Type Description
code

ErrorResponseCode

Error code describing the reason that service is not able to process the incoming request

message

string

ExtendedStatusInfo

Name Type Description
message

string

The message giving detailed information about the status code.

statusCode

ReservationStatusCode

InstanceFlexibility

Turning this on will apply the reservation discount to other VMs in the same VM size group. Only specify for VirtualMachines reserved resource type.

Value Description
On

On

Off

Off

ProvisioningState

Represent the current state of the Reservation.

Value Description
Creating

Creating

PendingResourceHold

PendingResourceHold

ConfirmedResourceHold

ConfirmedResourceHold

PendingBilling

PendingBilling

ConfirmedBilling

ConfirmedBilling

Created

Created

Succeeded

Succeeded

Cancelled

Cancelled

Expired

Expired

BillingFailed

BillingFailed

Failed

Failed

Split

Split

Merged

Merged

PurchaseRequest

The request for reservation purchase

Name Type Default value Description
location

string

The Azure region where the reserved resource lives.

properties.appliedScopeProperties

AppliedScopeProperties

Properties specific to applied scope type. Not required if not applicable. Required and need to provide tenantId and managementGroupId if AppliedScopeType is ManagementGroup

properties.appliedScopeType

AppliedScopeType

Type of the Applied Scope.

properties.appliedScopes

string[]

List of the subscriptions that the benefit will be applied. Do not specify if AppliedScopeType is Shared. This property will be deprecated and replaced by appliedScopeProperties instead for Single AppliedScopeType.

properties.billingPlan

ReservationBillingPlan

Represent the billing plans.

properties.billingScopeId

string

Subscription that will be charged for purchasing reservation or savings plan

properties.displayName

string

Friendly name of the reservation

properties.quantity

integer (int32)

Quantity of the skus that are part of the reservation.

properties.renew

boolean

False

Setting this to true will automatically purchase a new reservation on the expiration date time.

properties.reservedResourceProperties

PurchaseRequestPropertiesReservedResourceProperties

Properties specific to each reserved resource type. Not required if not applicable.

properties.reservedResourceType

ReservedResourceType

The type of the resource that is being reserved. In addition to below types we have also added the following: OpenAIPTU, MDC, Sentinel.

properties.reviewDateTime

string (date-time)

This is the date-time when the Azure hybrid benefit needs to be reviewed.

properties.term

ReservationTerm

Represent the term of reservation.

sku

SkuName

The name of sku

PurchaseRequestPropertiesReservedResourceProperties

Properties specific to each reserved resource type. Not required if not applicable.

Name Type Description
instanceFlexibility

InstanceFlexibility

Turning this on will apply the reservation discount to other VMs in the same VM size group. Only specify for VirtualMachines reserved resource type.

RenewPropertiesResponse

The renew properties for a reservation.

Name Type Description
billingCurrencyTotal

RenewPropertiesResponseBillingCurrencyTotal

Currency and amount that customer will be charged in customer's local currency for renewal purchase. Tax is not included.

pricingCurrencyTotal

RenewPropertiesResponsePricingCurrencyTotal

Amount that Microsoft uses for record. Used during refund for calculating refund limit. Tax is not included. This is locked price 30 days before expiry.

purchaseProperties

PurchaseRequest

The request for reservation purchase

RenewPropertiesResponseBillingCurrencyTotal

Currency and amount that customer will be charged in customer's local currency for renewal purchase. Tax is not included.

Name Type Description
amount

number (float)

currencyCode

string

The ISO 4217 3-letter currency code for the currency used by this purchase record.

RenewPropertiesResponsePricingCurrencyTotal

Amount that Microsoft uses for record. Used during refund for calculating refund limit. Tax is not included. This is locked price 30 days before expiry.

Name Type Description
amount

number (float)

currencyCode

string

The ISO 4217 3-letter currency code for the currency used by this purchase record.

ReservationBillingPlan

Represent the billing plans.

Value Description
Upfront

Upfront

Monthly

Monthly

ReservationMergeProperties

Properties of reservation merge

Name Type Description
mergeDestination

string

Reservation resource id Created due to the merge. Format of the resource id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}

mergeSources

string[]

Resource ids of the source reservation's merged to form this reservation. Format of the resource id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}

ReservationResponse

The definition of the reservation.

Name Type Description
etag

integer (int32)

id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind enum:

Microsoft.Compute

Resource Provider type to be reserved.

location

string

The Azure region where the reserved resource lives.

name

string

The name of the resource

properties

ReservationsProperties

The properties associated to this reservation

sku

SkuName

The sku information associated to this reservation

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ReservationSplitProperties

Properties of reservation split

Name Type Description
splitDestinations

string[]

List of destination resource id that are created due to split. Format of the resource id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}

splitSource

string

Resource id of the reservation from which this is split. Format of the resource id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}

ReservationsProperties

The properties of the reservations

Name Type Default value Description
appliedScopeProperties

AppliedScopeProperties

Properties specific to applied scope type. Not required if not applicable. Required and need to provide tenantId and managementGroupId if AppliedScopeType is ManagementGroup

appliedScopeType

AppliedScopeType

The applied scope type

appliedScopes

string[]

The list of applied scopes

archived

boolean

Indicates if the reservation is archived

benefitStartTime

string (date-time)

This is the DateTime when the reservation benefit started.

billingPlan

ReservationBillingPlan

The billing plan options available for this sku.

billingScopeId

string

Subscription that will be charged for purchasing reservation or savings plan

capabilities

string

Capabilities of the reservation

displayName

string

Friendly name for user to easily identify the reservation

displayProvisioningState

string

The provisioning state of the reservation for display, e.g. Succeeded

effectiveDateTime

string (date-time)

DateTime of the reservation starting when this version is effective from.

expiryDate

string (date)

This is the date when the reservation will expire.

expiryDateTime

string (date-time)

This is the date-time when the reservation will expire.

extendedStatusInfo

ExtendedStatusInfo

The message giving detailed information about the status code.

instanceFlexibility

InstanceFlexibility

Allows reservation discount to be applied across skus within the same auto fit group. Not all skus support instance size flexibility.

lastUpdatedDateTime

string (date-time)

DateTime of the last time the reservation was updated.

mergeProperties

ReservationMergeProperties

Properties of reservation merge

provisioningState

ProvisioningState

Current state of the reservation.

provisioningSubState

string

The provisioning sub-state of the reservation, e.g. Succeeded

purchaseDate

string (date)

This is the date when the reservation was purchased.

purchaseDateTime

string (date-time)

This is the date-time when the reservation was purchased.

quantity

integer (int32)

Quantity of the skus that are part of the reservation. Must be greater than zero.

renew

boolean

False

Setting this to true will automatically purchase a new reservation on the expiration date time.

renewDestination

string

Reservation Id of the reservation which is purchased because of renew. Format of the resource Id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}.

renewProperties

RenewPropertiesResponse

The renew properties for a reservation.

renewSource

string

Reservation Id of the reservation from which this reservation is renewed. Format of the resource Id is /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}.

reservedResourceType

ReservedResourceType

The type of the resource that is being reserved.

reviewDateTime

string (date-time)

This is the date-time when the Azure Hybrid Benefit needs to be reviewed.

skuDescription

string

Description of the sku in english.

splitProperties

ReservationSplitProperties

Properties of reservation split

swapProperties

ReservationSwapProperties

Properties of reservation swap

term

ReservationTerm

Represent the term of reservation.

userFriendlyAppliedScopeType

string

The applied scope type of the reservation for display, e.g. Shared

userFriendlyRenewState

string

The renew state of the reservation for display, e.g. On

utilization

ReservationsPropertiesUtilization

Reservation utilization

ReservationsPropertiesUtilization

Reservation utilization

Name Type Description
aggregates

ReservationUtilizationAggregates[]

The array of aggregates of a reservation's utilization

trend

string

last 7 day utilization trend for a reservation

ReservationStatusCode

Value Description
None

None

Pending

Pending

Processing

Processing

Active

Active

PurchaseError

PurchaseError

PaymentInstrumentError

PaymentInstrumentError

Split

Split

Merged

Merged

Expired

Expired

Succeeded

Succeeded

ReservationSwapProperties

Properties of reservation swap

Name Type Description
swapDestination

string

Reservation resource id that the original resource gets swapped to. Format of the resource id is /providers/microsoft.capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}

swapSource

string

Resource id of the source reservation that gets swapped. Format of the resource id is /providers/microsoft.capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}

ReservationTerm

Represent the term of reservation.

Value Description
P1Y

P1Y

P3Y

P3Y

P5Y

P5Y

ReservationUtilizationAggregates

The aggregate values of reservation utilization

Name Type Description
grain

number (float)

The grain of the aggregate

grainUnit

string

The grain unit of the aggregate

value

number (float)

The aggregate value

valueUnit

string

The aggregate value unit

ReservedResourceType

The type of the resource that is being reserved. In addition to below types we have also added the following: OpenAIPTU, MDC, Sentinel.

Value Description
VirtualMachines

VirtualMachines

SqlDatabases

SqlDatabases

SuseLinux

SuseLinux

CosmosDb

CosmosDb

RedHat

RedHat

SqlDataWarehouse

SqlDataWarehouse

VMwareCloudSimple

VMwareCloudSimple

RedHatOsa

RedHatOsa

Databricks

Databricks

AppService

AppService

ManagedDisk

ManagedDisk

BlockBlob

BlockBlob

RedisCache

RedisCache

AzureDataExplorer

AzureDataExplorer

MySql

MySql

MariaDb

MariaDb

PostgreSql

PostgreSql

DedicatedHost

DedicatedHost

SapHana

SapHana

SqlAzureHybridBenefit

SqlAzureHybridBenefit

AVS

AVS

DataFactory

DataFactory

NetAppStorage

NetAppStorage

AzureFiles

AzureFiles

SqlEdge

SqlEdge

VirtualMachineSoftware

VirtualMachineSoftware

SkuName

The name of sku

Name Type Description
name

string

SplitRequest

The request for reservation split

Name Type Description
properties.quantities

integer[] (int32)

List of the quantities in the new reservations to create.

properties.reservationId

string

Resource id of the reservation to be split. Format of the resource id should be /providers/Microsoft.Capacity/reservationOrders/{reservationOrderId}/reservations/{reservationId}

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.